PGASetPopReplaceType(8)

NAME
PGASetPopReplaceType - Choose method of sorting strings to copy from old population to new population.

DESCRIPTION
Valid choices are PGA_POPREPL_BEST, PGA_POPREPL_RANDOM_NOREP, or PGA_POPREPL_RANDOM_REP for copying the best strings, or random string, with or without replacement, respectively, from the old population into the new population. The default is PGA_POPREPL_BEST.

INPUT PARAMETERS
ctx - context variable
pop_replace
    - symbolic constant to specify the population replacement strategy

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetPopReplaceType(ctx, pop_replace)
PGAContext *ctx
int pop_replace

LOCATION
pop.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetPopReplaceType(ctx, PGA_POPREPL_RANDOM_NOREP);